$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2024.1.5/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2024.1.5/cloudflared-windows-amd64.exe'

  checksum      = '2a1891f99407c4722a6865700472a1a0def33ef176b64fa3b656fda593e43dd6'
  checksumType  = 'sha256'
  checksum64    = '92ec16e1226249fcb7f07691a3e6d8fbb0f4482c786c4cff51b4ecab3e1a3a86'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
